<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ActionWorldCraft Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d6/def/class_action_world_craft.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ActionWorldCraft Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ActionWorldCraft:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d6/def/class_action_world_craft.png" usemap="#ActionWorldCraft_map" alt=""/>
  <map id="ActionWorldCraft_map" name="ActionWorldCraft_map">
<area href="../../d6/d3f/class_action_continuous_base.html" alt="ActionContinuousBase" shape="rect" coords="0,0,139,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a52ec6970e3ab35b0b0b127abbd8cc4e0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/def/class_action_world_craft.html#a52ec6970e3ab35b0b0b127abbd8cc4e0">ActionWorldCraft</a> ()</td></tr>
<tr class="separator:a52ec6970e3ab35b0b0b127abbd8cc4e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82861474f704bc58d3ad373e9d7f424d"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/def/class_action_world_craft.html#a82861474f704bc58d3ad373e9d7f424d">CreateActionData</a> ()</td></tr>
<tr class="separator:a82861474f704bc58d3ad373e9d7f424d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a162e6946836c92dbd9738143ded29405"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/def/class_action_world_craft.html#a162e6946836c92dbd9738143ded29405">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:a162e6946836c92dbd9738143ded29405"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8bd6525482ccd0bc23066141642744d3"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/def/class_action_world_craft.html#a8bd6525482ccd0bc23066141642744d3">OnActionInfoUpdate</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:a8bd6525482ccd0bc23066141642744d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1defb6d6fc96c0deee8f81de6af97159"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/def/class_action_world_craft.html#a1defb6d6fc96c0deee8f81de6af97159">GetText</a> ()</td></tr>
<tr class="separator:a1defb6d6fc96c0deee8f81de6af97159"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae93e4b3bd9b1aea57b038f6b6b51a361"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/def/class_action_world_craft.html#ae93e4b3bd9b1aea57b038f6b6b51a361">ActionCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:ae93e4b3bd9b1aea57b038f6b6b51a361"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82487a846b373bc58a6232d22fd1adcd"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/def/class_action_world_craft.html#a82487a846b373bc58a6232d22fd1adcd">SetupAction</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item, out <a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data, <a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> extra_data=NULL)</td></tr>
<tr class="separator:a82487a846b373bc58a6232d22fd1adcd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae13f5b9ebef68c8a59f72fd31d50607"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/def/class_action_world_craft.html#aae13f5b9ebef68c8a59f72fd31d50607">Start</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:aae13f5b9ebef68c8a59f72fd31d50607"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f47923be69e41ada05bc6121ae9a14e"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/def/class_action_world_craft.html#a6f47923be69e41ada05bc6121ae9a14e">OnEndServer</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a6f47923be69e41ada05bc6121ae9a14e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94d2eb04f895d31a0f83cabf9357828c"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/def/class_action_world_craft.html#a94d2eb04f895d31a0f83cabf9357828c">OnEndClient</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a94d2eb04f895d31a0f83cabf9357828c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24822c5823c7f1ce719889980537f3ea"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/def/class_action_world_craft.html#a24822c5823c7f1ce719889980537f3ea">OnFinishProgressServer</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a24822c5823c7f1ce719889980537f3ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a038e42e1ab01f81f1470be9d3b6a7fe5"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/def/class_action_world_craft.html#a038e42e1ab01f81f1470be9d3b6a7fe5">OnFinishProgressClient</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a038e42e1ab01f81f1470be9d3b6a7fe5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a678cca22ba5d92d60799bec8a4d408"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/def/class_action_world_craft.html#a7a678cca22ba5d92d60799bec8a4d408">WriteToContext</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a> ctx, <a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a7a678cca22ba5d92d60799bec8a4d408"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a039f2b366203ba3c876b6b2d7237c665"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/def/class_action_world_craft.html#a039f2b366203ba3c876b6b2d7237c665">ReadFromContext</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a> ctx, out ActionReciveData action_recive_data)</td></tr>
<tr class="separator:a039f2b366203ba3c876b6b2d7237c665"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a404873c7c266749a5fc0f301cd602084"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/def/class_action_world_craft.html#a404873c7c266749a5fc0f301cd602084">HandleReciveData</a> (ActionReciveData action_recive_data, <a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a404873c7c266749a5fc0f301cd602084"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:aa21b7698fd90d6cfb20f7280b2c7fd60"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d6/def/class_action_world_craft.html#aa21b7698fd90d6cfb20f7280b2c7fd60">m_ActionPrompt</a></td></tr>
<tr class="separator:aa21b7698fd90d6cfb20f7280b2c7fd60"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../df/dde/_action_world_craft_8c_source.html#l00032">32</a> of file <a class="el" href="../../df/dde/_action_world_craft_8c_source.html">ActionWorldCraft.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a52ec6970e3ab35b0b0b127abbd8cc4e0" name="a52ec6970e3ab35b0b0b127abbd8cc4e0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a52ec6970e3ab35b0b0b127abbd8cc4e0">&#9670;&#160;</a></span>ActionWorldCraft()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionWorldCraft::ActionWorldCraft </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dde/_action_world_craft_8c_source.html#l00036">36</a> of file <a class="el" href="../../df/dde/_action_world_craft_8c_source.html">ActionWorldCraft.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ae93e4b3bd9b1aea57b038f6b6b51a361" name="ae93e4b3bd9b1aea57b038f6b6b51a361"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae93e4b3bd9b1aea57b038f6b6b51a361">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionWorldCraft::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dde/_action_world_craft_8c_source.html#l00076">76</a> of file <a class="el" href="../../df/dde/_action_world_craft_8c_source.html">ActionWorldCraft.c</a>.</p>

</div>
</div>
<a id="a82861474f704bc58d3ad373e9d7f424d" name="a82861474f704bc58d3ad373e9d7f424d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a82861474f704bc58d3ad373e9d7f424d">&#9670;&#160;</a></span>CreateActionData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> ActionWorldCraft::CreateActionData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dde/_action_world_craft_8c_source.html#l00044">44</a> of file <a class="el" href="../../df/dde/_action_world_craft_8c_source.html">ActionWorldCraft.c</a>.</p>

</div>
</div>
<a id="a162e6946836c92dbd9738143ded29405" name="a162e6946836c92dbd9738143ded29405"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a162e6946836c92dbd9738143ded29405">&#9670;&#160;</a></span>CreateConditionComponents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionWorldCraft::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dde/_action_world_craft_8c_source.html#l00050">50</a> of file <a class="el" href="../../df/dde/_action_world_craft_8c_source.html">ActionWorldCraft.c</a>.</p>

</div>
</div>
<a id="a1defb6d6fc96c0deee8f81de6af97159" name="a1defb6d6fc96c0deee8f81de6af97159"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1defb6d6fc96c0deee8f81de6af97159">&#9670;&#160;</a></span>GetText()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ActionWorldCraft::GetText </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dde/_action_world_craft_8c_source.html#l00063">63</a> of file <a class="el" href="../../df/dde/_action_world_craft_8c_source.html">ActionWorldCraft.c</a>.</p>

</div>
</div>
<a id="a404873c7c266749a5fc0f301cd602084" name="a404873c7c266749a5fc0f301cd602084"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a404873c7c266749a5fc0f301cd602084">&#9670;&#160;</a></span>HandleReciveData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionWorldCraft::HandleReciveData </td>
          <td>(</td>
          <td class="paramtype">ActionReciveData&#160;</td>
          <td class="paramname"><em>action_recive_data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dde/_action_world_craft_8c_source.html#l00179">179</a> of file <a class="el" href="../../df/dde/_action_world_craft_8c_source.html">ActionWorldCraft.c</a>.</p>

</div>
</div>
<a id="a8bd6525482ccd0bc23066141642744d3" name="a8bd6525482ccd0bc23066141642744d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8bd6525482ccd0bc23066141642744d3">&#9670;&#160;</a></span>OnActionInfoUpdate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionWorldCraft::OnActionInfoUpdate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dde/_action_world_craft_8c_source.html#l00056">56</a> of file <a class="el" href="../../df/dde/_action_world_craft_8c_source.html">ActionWorldCraft.c</a>.</p>

</div>
</div>
<a id="a94d2eb04f895d31a0f83cabf9357828c" name="a94d2eb04f895d31a0f83cabf9357828c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a94d2eb04f895d31a0f83cabf9357828c">&#9670;&#160;</a></span>OnEndClient()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionWorldCraft::OnEndClient </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dde/_action_world_craft_8c_source.html#l00118">118</a> of file <a class="el" href="../../df/dde/_action_world_craft_8c_source.html">ActionWorldCraft.c</a>.</p>

</div>
</div>
<a id="a6f47923be69e41ada05bc6121ae9a14e" name="a6f47923be69e41ada05bc6121ae9a14e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6f47923be69e41ada05bc6121ae9a14e">&#9670;&#160;</a></span>OnEndServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionWorldCraft::OnEndServer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dde/_action_world_craft_8c_source.html#l00113">113</a> of file <a class="el" href="../../df/dde/_action_world_craft_8c_source.html">ActionWorldCraft.c</a>.</p>

</div>
</div>
<a id="a038e42e1ab01f81f1470be9d3b6a7fe5" name="a038e42e1ab01f81f1470be9d3b6a7fe5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a038e42e1ab01f81f1470be9d3b6a7fe5">&#9670;&#160;</a></span>OnFinishProgressClient()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionWorldCraft::OnFinishProgressClient </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dde/_action_world_craft_8c_source.html#l00145">145</a> of file <a class="el" href="../../df/dde/_action_world_craft_8c_source.html">ActionWorldCraft.c</a>.</p>

</div>
</div>
<a id="a24822c5823c7f1ce719889980537f3ea" name="a24822c5823c7f1ce719889980537f3ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a24822c5823c7f1ce719889980537f3ea">&#9670;&#160;</a></span>OnFinishProgressServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionWorldCraft::OnFinishProgressServer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dde/_action_world_craft_8c_source.html#l00123">123</a> of file <a class="el" href="../../df/dde/_action_world_craft_8c_source.html">ActionWorldCraft.c</a>.</p>

</div>
</div>
<a id="a039f2b366203ba3c876b6b2d7237c665" name="a039f2b366203ba3c876b6b2d7237c665"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a039f2b366203ba3c876b6b2d7237c665">&#9670;&#160;</a></span>ReadFromContext()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionWorldCraft::ReadFromContext </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out ActionReciveData&#160;</td>
          <td class="paramname"><em>action_recive_data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dde/_action_world_craft_8c_source.html#l00160">160</a> of file <a class="el" href="../../df/dde/_action_world_craft_8c_source.html">ActionWorldCraft.c</a>.</p>

</div>
</div>
<a id="a82487a846b373bc58a6232d22fd1adcd" name="a82487a846b373bc58a6232d22fd1adcd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a82487a846b373bc58a6232d22fd1adcd">&#9670;&#160;</a></span>SetupAction()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionWorldCraft::SetupAction </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a>&#160;</td>
          <td class="paramname"><em>extra_data</em> = <code>NULL</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dde/_action_world_craft_8c_source.html#l00092">92</a> of file <a class="el" href="../../df/dde/_action_world_craft_8c_source.html">ActionWorldCraft.c</a>.</p>

</div>
</div>
<a id="aae13f5b9ebef68c8a59f72fd31d50607" name="aae13f5b9ebef68c8a59f72fd31d50607"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae13f5b9ebef68c8a59f72fd31d50607">&#9670;&#160;</a></span>Start()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionWorldCraft::Start </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dde/_action_world_craft_8c_source.html#l00107">107</a> of file <a class="el" href="../../df/dde/_action_world_craft_8c_source.html">ActionWorldCraft.c</a>.</p>

</div>
</div>
<a id="a7a678cca22ba5d92d60799bec8a4d408" name="a7a678cca22ba5d92d60799bec8a4d408"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a678cca22ba5d92d60799bec8a4d408">&#9670;&#160;</a></span>WriteToContext()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionWorldCraft::WriteToContext </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dde/_action_world_craft_8c_source.html#l00151">151</a> of file <a class="el" href="../../df/dde/_action_world_craft_8c_source.html">ActionWorldCraft.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="aa21b7698fd90d6cfb20f7280b2c7fd60" name="aa21b7698fd90d6cfb20f7280b2c7fd60"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa21b7698fd90d6cfb20f7280b2c7fd60">&#9670;&#160;</a></span>m_ActionPrompt</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ActionWorldCraft::m_ActionPrompt</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/dde/_action_world_craft_8c_source.html#l00034">34</a> of file <a class="el" href="../../df/dde/_action_world_craft_8c_source.html">ActionWorldCraft.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/Actions/Continuous/<a class="el" href="../../df/dde/_action_world_craft_8c_source.html">ActionWorldCraft.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d6/def/class_action_world_craft.html">ActionWorldCraft</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
